#
# spec file for package xcb-util-image
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xcb-util-image
%define lname	libxcb-image0
Version:        0.4.1
Release:        1.4
Summary:        XCB utility module for XImage/XShmImage-like functions
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://xcb.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xcb/util-image
#Git-Web:	http://cgit.freedesktop.org/xcb/util-image/
Source:         %name-%version.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.59c, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb) >= 1.4
BuildRequires:  pkgconfig(xcb-proto) >= 1.6
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xorg-macros) >= 1.6.0
BuildRequires:  pkgconfig(xproto) >= 7.0.8

%description
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- image: Port of Xlib's XImage and XShmImage functions.

%package -n %lname
Summary:        XCB utility module for XImage/XShmImage-like functions
Group:          System/Libraries

%description -n %lname
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- image: Port of Xlib's XImage and XShmImage functions.

%package devel
Summary:        Development files for the XCB image utility module
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libxcb-image.so.0*

%files devel
%defattr(-,root,root)
%_includedir/xcb
%_libdir/libxcb-image.so
%_libdir/pkgconfig/xcb-image.pc

%changelog
* Tue Oct 18 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 0.4.1
  * Update README for gitlab migration
  * Add README.md to EXTRA_DIST
  * Update configure.ac bug URL for gitlab migration
  * Update m4 to xorg/util/xcb-util-m4@c617eee22ae5c285e79e81
  * gitlab CI: add a basic build test
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * test: add XCB_SHM_LIBS to all test
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Oct 16 2014 sndirsch@suse.com
- marked baselibs.conf in specfile as source in order to make
  factory checkin policy happy
* Wed Oct 15 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 0.4.0:
  + Pick-up changes in m4 submodule as it's better to have all util repos at same m4 level.
  + corrected return value documentation for xcb_image_shm_put()
  + added additional format tests for XY_PIXMAP bit planes
  + changed test_xcb_image to work with XY_PIXMAP with nontrivial planemask
  + Fixed get_image to handle xy format with nontrivial plane_mask.
  + added window names to test_xcb_image windows
  + increased window size for test_xcb_image for usability
  + Fixed endianness bug in xy pixmap getimage.
  + fixed some compiler C90 warnings
  + config: add bug URL to AC_INIT
  + config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
  + config: remove old dead code for documentation
  + config: use AC_CONFIG_HEADERS to create a config.h file
  + config: add missing COPYING file
  + make: there should be no attempt to remove any Makefile.in file
  + make: using EXTRA_DIST for xcb-util-image.pc.in is redundant
  + make: image is using X11 Protcol headers, so XPROTO_CFLAGS is required
  + test: move test cases into their own directory
  + image: use AM_CPPFLAGS rather than per-target libxcb_image_la_CPPFLAGS
  + Fix compilation when NDEBUG is defined
  + Check submodules before running autoconf.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Thu May 31 2012 sndirsch@suse.com
- update to version 0.3.9
  * Add missing xcb_bitops.h.
  * Don't try to build test_xcb_image_shm if SHM isn't available (for example on MinGW).
  * Use rand() instead of random() (more portable, for example to MinGW).
* Wed Mar 21 2012 jengelh@medozas.de
- Initial package for build.opensuse.org
